@using Mandiri.Lelang.WebAdminUI.Utility
@model DateTime?

@{
    
    String dt;
    if (Model.HasValue)
    {
        dt = Model.Value.ToString("dd/MM/yyyy");
    }
    else
    {
        dt = String.Empty;
    }
    if (ViewBag.placeholder == null)
    {
        ViewBag.placeholder = String.Empty;
    }

    if (ViewBag.onchange == null)
    {
        ViewBag.onchange = String.Empty;
    }
}

<div class="form-group@(Html.ValidationErrorFor(m => m, " error has-error"))">
    @if (ViewBag.hideLabel == null)
    {
        @Html.LabelFor(m => m, new { @class = "control-label" })
    }

    @if (ViewBag.onchange != String.Empty)
    {
        <div class="input-group">
            @Html.TextBox("", dt, new { @class = "form-control input-sm datepicker", data_provide = "datepicker", data_date_language = "globalize", data_date = dt, data_date_format = "dd/mm/yyyy", data_date_today_highlight = "true", data_date_today_btn = "false", placeholder = ViewBag.placeholder })
            <span class="input-group-btn">
                <button class="btn btn-default btn-sm" type="button" name="Command" onclick="@ViewBag.onchange">Update</button>
            </span>
        </div>
    }
    else
    {
        if (ViewBag.@readonly != null)
        {
        @Html.TextBox("", dt, "{0:dd/MM/yyyy}", new { @class = "form-control input-sm datepicker", data_date_language = "globalize", data_date = dt, data_date_format = "dd/mm/yyyy", data_date_today_highlight = "true", data_date_today_btn = "false", data_date_autoclose = "true", placeholder = ViewBag.placeholder, @readonly = "readonly" })
        }
        else
        {
        @Html.TextBox("", dt, "{0:dd/MM/yyyy}", new { @class = "form-control input-sm datepicker", data_provide = "datepicker", data_date_language = "globalize", data_date = dt, data_date_format = "dd/mm/yyyy", data_date_today_highlight = "true", data_date_today_btn = "false", data_date_autoclose = "true", placeholder = ViewBag.placeholder })
        }
    }
    @Html.ValidationMessageFor(m => m, null, new { @class = "help-block" })
</div>
